## skkdic 20011121

=== Makefile ===
# Makefile: makefile for SKK Dictionaries.
#
# Maintainer: SKK Development Team <skk@ring.gr.jp>
# Version: $Id: Makefile,v 1.14 2001/07/31 23:53:22 minakaji Exp $
# Last Modified: $Date: 2001/07/31 23:53:22 $

GAWK      = gawk
BZIP2     = bzip2 -9
DATE	  = date
GZIP      = gzip -9
MD5	  = md5
RM	  = /bin/rm -f
TAR	  = tar
#TODAY     = `$(DATE) '+%Y%m%d'`
ZIP       = zip
SRCS	  = SKK-JISYO.L SKK-JISYO.M SKK-JISYO.S SKK-JISYO.JIS2 SKK-JISYO.pubdic+ SKK-JISYO.wrong \
            SKK-JISYO.L.unannotated SKK-JISYO.wrong.annotated SKK-JISYO.okinawa SKK-JISYO.jinmei \
	    SKK-JISYO.law SKK-JISYO.mazegaki 
ZIPDIC_DIR  = ./zipcode

clean:
	$(RM) *.gz* *.bz2* *.zip* *~ `find . -name '*~'` `find . -name '.*~'` `find . -name '.#*'` \
	*.unannotated SKK-JISYO.wrong 

archive: zip gzip bzip2

unannotated: SKK-JISYO.L.unannotated SKK-JISYO.wrong

SKK-JISYO.L.unannotated:
	$(GAWK) -f unannotation.awk SKK-JISYO.L > SKK-JISYO.L.unannotated

SKK-JISYO.wrong:
	$(GAWK) -f unannotation.awk SKK-JISYO.wrong.annotated > SKK-JISYO.wrong

zip: clean $(SRCS)
	for file in $(SRCS); do \
	  $(ZIP) $$file.zip $$file ;\
	  $(MD5) $$file.zip >$$file.zip.md5; \
	done 
	$(ZIP) SKK-JISYO.edict.zip SKK-JISYO.edict edict_doc.txt
	$(ZIP) -r zipcode.zip $(ZIPDIC_DIR) -x@./skk.ex
#	$(ZIP) -r zipcode.zip $(ZIPDIC_DIR)
	$(MD5) zipcode.zip >zipcode.zip.md5

gzip: clean $(SRCS)
	for file in $(SRCS); do \
	  $(GZIP) -fc $$file >$$file.gz ;\
	  $(MD5) $$file.gz >$$file.gz.md5; \
	done 
	$(TAR) cvpf SKK-JISYO.edict.tar SKK-JISYO.edict edict_doc.txt
	$(GZIP) -f SKK-JISYO.edict.tar
	$(MD5) SKK-JISYO.edict.tar.gz > SKK-JISYO.edict.tar.gz.md5
	$(TAR) cvzpf zipcode.tar.gz ./zipcode --exclude-from=./skk.ex
#	$(TAR) cvzpf zipcode.tar.gz ./zipcode
	$(MD5) zipcode.tar.gz >zipcode.tar.gz.md5

bzip2: clean $(SRCS)
	for file in $(SRCS); do \
	  $(BZIP2) -fc $$file >$$file.bz2 ;\
	  $(MD5) $$file.bz2 >$$file.bz2.md5; \
	done 
	$(TAR) cvpf SKK-JISYO.edict.tar SKK-JISYO.edict edict_doc.txt
	$(BZIP2) -f SKK-JISYO.edict.tar
	$(MD5) SKK-JISYO.edict.tar.bz2 > SKK-JISYO.edict.tar.bz2.md5
#	$(TAR) cvpf zipcode.tar ./zipcode --exclude-from=./skk.ex
	$(TAR) cvpf zipcode.tar ./zipcode
	$(BZIP2) -f zipcode.tar 
	$(MD5) zipcode.tar.bz2 >zipcode.tar.bz2.md5

# end of Makefile.
