## skkdic 20051117

=== Makefile ===
--- 
+++ 
@@ -1,23 +1,25 @@
 # Makefile: makefile for SKK Dictionaries.
 #
 # Maintainer: SKK Development Team <skk@ring.gr.jp>
-# Version: $Id: Makefile,v 1.29 2003/11/15 10:46:12 minakaji Exp $
-# Last Modified: $Date: 2003/11/15 10:46:12 $
+# Version: $Id: Makefile,v 1.34 2005/10/23 16:31:28 skk-cvs Exp $
+# Last Modified: $Date: 2005/10/23 16:31:28 $
 
-BZIP2     = bzip2 -9
+BZIP2	  = bzip2 -9
 COUNT	  = skkdic-count
 DATE	  = date
-EXPR      = skkdic-expr
-GAWK      = gawk
+EXPR	  = skkdic-expr
+EXPR2	  = skkdic-expr2
+GAWK	  = awk
 GREP	  = grep
-GZIP      = gzip -9
+SED	  = sed
+GZIP	  = gzip -9
 MD5	  = md5
 RM	  = /bin/rm -f
-RUBY      = ruby
+RUBY	  = ruby -I ../tools/filters
 SORT	  = skkdic-sort
 TAR	  = tar
-#TODAY     = `$(DATE) '+%Y%m%d'`
-ZIP       = zip
+#TODAY	  = `$(DATE) '+%Y%m%d'`
+ZIP	  = zip
 ZIPDIC_DIR  = ./zipcode
 
 DIC2PDB = dic2pdb
@@ -36,7 +38,7 @@
 
 clean:
 	$(RM) *.gz* *.bz2* *.zip* *~ `find . -name '*~'` `find . -name '.*~'` `find . -name '.#*'` \
-	*.unannotated SKK-JISYO.wrong SKK-JISYO.tmp PBinlineDB.pdb *.tmp *.w PBinlineDB.dic
+	*.unannotated SKK-JISYO.wrong SKK-JISYO.tmp PBinlineDB.pdb *.tmp *.w PBinlineDB.dic *.taciturn SKK-JISYO.L+ SKK-JISYO.total SKK-JISYO.total+zipcode SKK-JISYO.L.header
 
 archive: zip gzip #bzip2
 
@@ -103,6 +105,64 @@
 	$(TAR) cvzpf zipcode.tar.gz ./zipcode --exclude-from=./skk.ex
 	$(MD5) zipcode.tar.gz >zipcode.tar.gz.md5
 
+SKK-JISYO.L+: SKK-JISYO.L SKK-JISYO.L.header
+	$(RUBY) ../tools/filters/conjugation.rb -Cpox SKK-JISYO.notes > SKK-JISYO.tmp
+	$(RUBY) ../tools/filters/asayaKe.rb -p SKK-JISYO.L >> SKK-JISYO.tmp
+	$(RUBY) ../tools/filters/complete-numerative.rb -pU SKK-JISYO.L >> SKK-JISYO.tmp
+	$(RUBY) ../tools/filters/abbrev-convert.rb -K -s 2 SKK-JISYO.L >> SKK-JISYO.tmp
+	$(RUBY) ../tools/filters/abbrev-convert.rb -w -s 2 SKK-JISYO.L >> SKK-JISYO.tmp
+	$(EXPR2) SKK-JISYO.L + SKK-JISYO.tmp | cat SKK-JISYO.L.header - > SKK-JISYO.L+
+	$(RM) SKK-JISYO.tmp SKK-JISYO.addition
+
+SKK-JISYO.total: SKK-JISYO.L SKK-JISYO.geo SKK-JISYO.station SKK-JISYO.jinmei SKK-JISYO.propernoun SKK-JISYO.fullname SKK-JISYO.law SKK-JISYO.okinawa SKK-JISYO.hukugougo SKK-JISYO.assoc SKK-JISYO.notes SKK-JISYO.L.header
+	$(RUBY) ../tools/filters/conjugation.rb -Cpox SKK-JISYO.notes > SKK-JISYO.tmp
+	$(RUBY) ../tools/filters/asayaKe.rb -p SKK-JISYO.L >> SKK-JISYO.tmp
+	$(RUBY) ../tools/filters/complete-numerative.rb -pU SKK-JISYO.L >> SKK-JISYO.tmp
+	$(RUBY) ../tools/filters/abbrev-convert.rb -K -s 2 SKK-JISYO.L >> SKK-JISYO.tmp
+	$(RUBY) ../tools/filters/abbrev-convert.rb -w -s 2 SKK-JISYO.L >> SKK-JISYO.tmp
+	# order is very important here
+	$(EXPR2) SKK-JISYO.geo + SKK-JISYO.station + SKK-JISYO.jinmei + SKK-JISYO.propernoun + SKK-JISYO.fullname + SKK-JISYO.tmp + SKK-JISYO.law + SKK-JISYO.okinawa + SKK-JISYO.hukugougo + SKK-JISYO.assoc - SKK-JISYO.L > SKK-JISYO.addition
+	# why eliminating SKK-JISYO.L once? -- to not add too noisy
+	# annotations from SKK-JISYO.jinmei and so on.
+	$(EXPR2) SKK-JISYO.L + SKK-JISYO.addition | cat SKK-JISYO.L.header - > SKK-JISYO.total
+	$(RM) SKK-JISYO.tmp SKK-JISYO.addition
+
+SKK-JISYO.total+zipcode: SKK-JISYO.total $(ZIPDIC_DIR)/SKK-JISYO.zipcode $(ZIPDIC_DIR)/SKK-JISYO.office.zipcode SKK-JISYO.L.header
+	$(EXPR2) SKK-JISYO.total + $(ZIPDIC_DIR)/SKK-JISYO.zipcode + $(ZIPDIC_DIR)/SKK-JISYO.office.zipcode | cat SKK-JISYO.L.header - > SKK-JISYO.total+zipcode
+
+SKK-JISYO.L.taciturn: SKK-JISYO.L SKK-JISYO.L.header
+	$(RUBY) ../tools/filters/annotation-filter.rb -d SKK-JISYO.L | $(EXPR2) | cat SKK-JISYO.L.header - > SKK-JISYO.L.taciturn
+
+SKK-JISYO.L+.taciturn: SKK-JISYO.L+ SKK-JISYO.L.header
+	$(RUBY) ../tools/filters/annotation-filter.rb -d SKK-JISYO.L+ | $(EXPR2) | cat SKK-JISYO.L.header - > SKK-JISYO.L+.taciturn
+
+SKK-JISYO.total.taciturn: SKK-JISYO.total SKK-JISYO.L.header
+	$(RUBY) ../tools/filters/annotation-filter.rb -d SKK-JISYO.total | $(EXPR2) | cat SKK-JISYO.L.header - > SKK-JISYO.total.taciturn
+
+SKK-JISYO.total+zipcode.taciturn: SKK-JISYO.total+zipcode SKK-JISYO.L.header
+	$(RUBY) ../tools/filters/annotation-filter.rb -d SKK-JISYO.total+zipcode | $(EXPR2) | cat SKK-JISYO.L.header - > SKK-JISYO.total+zipcode.taciturn
+
+SKK-JISYO.L+.unannotated: SKK-JISYO.L+
+	$(GAWK) -f ../tools/unannotation.awk SKK-JISYO.L+ > SKK-JISYO.L+.unannotated
+
+SKK-JISYO.total.unannotated: SKK-JISYO.total
+	$(GAWK) -f ../tools/unannotation.awk SKK-JISYO.total > SKK-JISYO.total.unannotated
+
+SKK-JISYO.total+zipcode.unannotated: SKK-JISYO.total+zipcode
+	$(GAWK) -f ../tools/unannotation.awk SKK-JISYO.total+zipcode > SKK-JISYO.total+zipcode.unannotated
+
+SKK-JISYO.L.header: SKK-JISYO.L
+	echo ';; (This dictionary was automatically generated from SKK dictionaries)' > SKK-JISYO.L.header
+	$(SED) -n '/^;; okuri-ari entries./q;p' SKK-JISYO.L >> SKK-JISYO.L.header
+
+unannotated-all: unannotated SKK-JISYO.L+.unannotated SKK-JISYO.total.unannotated SKK-JISYO.total+zipcode.unannotated
+
+taciturn-all: SKK-JISYO.L+.taciturn SKK-JISYO.L+.taciturn SKK-JISYO.total.taciturn SKK-JISYO.total+zipcode.taciturn
+
+annotated-all: SKK-JISYO.L+ SKK-JISYO.total SKK-JISYO.total+zipcode
+
+all: annotated-all unannotated-all taciturn-all
+
 # bzip2: clean $(SRCS)
 # 	for file in $(SRCS); do \
 # 	  $(BZIP2) -fc $$file >$$file.bz2 ;\
