## skkdic 20060610

=== Makefile ===
--- 
+++ 
@@ -1,15 +1,15 @@
 # Makefile: makefile for SKK Dictionaries.
 #
 # Maintainer: SKK Development Team <skk@ring.gr.jp>
-# Version: $Id: Makefile,v 1.34 2005/10/23 16:31:28 skk-cvs Exp $
-# Last Modified: $Date: 2005/10/23 16:31:28 $
+# Version: $Id: Makefile,v 1.39 2006/02/19 17:23:07 skk-cvs Exp $
+# Last Modified: $Date: 2006/02/19 17:23:07 $
 
 BZIP2	  = bzip2 -9
 COUNT	  = skkdic-count
 DATE	  = date
 EXPR	  = skkdic-expr
 EXPR2	  = skkdic-expr2
-GAWK	  = awk
+GAWK	  = LC_ALL=C gawk
 GREP	  = grep
 SED	  = sed
 GZIP	  = gzip -9
@@ -32,9 +32,13 @@
 		SKK-JISYO.JIS3_4 SKK-JISYO.pubdic+ SKK-JISYO.wrong.annotated \
 		SKK-JISYO.okinawa SKK-JISYO.geo SKK-JISYO.jinmei SKK-JISYO.law \
 		SKK-JISYO.mazegaki SKK-JISYO.assoc SKK-JISYO.itaiji \
-		SKK-JISYO.china_taiwan
+		SKK-JISYO.itaiji.JIS3_4 SKK-JISYO.china_taiwan \
+		SKK-JISYO.propernoun SKK-JISYO.station SKK-JISYO.requested \
+		SKK-JISYO.fullname
+# SKK-JISYO.noregist SKK-JISYO.hukugougo
 BIN_SRCS  = #PBinlineDB.pdb
 ALL_SRCS  = $(SRCS) $(BIN_SRCS) SKK-JISYO.wrong SKK-JISYO.L.unannotated
+# SKK-JISYO.L+ SKK-JISYO.L.taciturn SKK-JISYO.total
 
 clean:
 	$(RM) *.gz* *.bz2* *.zip* *~ `find . -name '*~'` `find . -name '.*~'` `find . -name '.#*'` \
@@ -102,7 +106,7 @@
 	$(TAR) cvpf SKK-JISYO.edict.tar SKK-JISYO.edict edict_doc.txt
 	$(GZIP) -f SKK-JISYO.edict.tar
 	$(MD5) SKK-JISYO.edict.tar.gz > SKK-JISYO.edict.tar.gz.md5
-	$(TAR) cvzpf zipcode.tar.gz ./zipcode --exclude-from=./skk.ex
+	$(TAR) cvzpf zipcode.tar.gz --exclude-from=./skk.ex ./zipcode
 	$(MD5) zipcode.tar.gz >zipcode.tar.gz.md5
 
 SKK-JISYO.L+: SKK-JISYO.L SKK-JISYO.L.header
