## skkdic 20061130

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 # Makefile: makefile for SKK Dictionaries.
 #
 # Maintainer: SKK Development Team <skk@ring.gr.jp>
-# Version: $Id: Makefile,v 1.39 2006/02/19 17:23:07 skk-cvs Exp $
-# Last Modified: $Date: 2006/02/19 17:23:07 $
+# Version: $Id: Makefile,v 1.40 2006/10/22 13:15:32 skk-cvs Exp $
+# Last Modified: $Date: 2006/10/22 13:15:32 $
 
 BZIP2	  = bzip2 -9
 COUNT	  = skkdic-count
@@ -15,7 +15,7 @@
 GZIP	  = gzip -9
 MD5	  = md5
 RM	  = /bin/rm -f
-RUBY	  = ruby -I ../tools/filters
+RUBY	  = ruby -I $(TOOLS_DIR)/filters
 SORT	  = skkdic-sort
 TAR	  = tar
 #TODAY	  = `$(DATE) '+%Y%m%d'`
@@ -27,6 +27,7 @@
 KANADIC2ROMADIC = kanadic2romadic
 NKF = nkf
 SKKDIC2KANADIC = skkdic2kanadic
+TOOLS_DIR = ../tools
 
 SRCS	  = SKK-JISYO.L SKK-JISYO.ML SKK-JISYO.M SKK-JISYO.S SKK-JISYO.JIS2 \
 		SKK-JISYO.JIS3_4 SKK-JISYO.pubdic+ SKK-JISYO.wrong.annotated \
@@ -42,26 +43,26 @@
 
 clean:
 	$(RM) *.gz* *.bz2* *.zip* *~ `find . -name '*~'` `find . -name '.*~'` `find . -name '.#*'` \
-	*.unannotated SKK-JISYO.wrong SKK-JISYO.tmp PBinlineDB.pdb *.tmp *.w PBinlineDB.dic *.taciturn SKK-JISYO.L+ SKK-JISYO.total SKK-JISYO.total+zipcode SKK-JISYO.L.header
+	*.unannotated SKK-JISYO.wrong PBinlineDB.pdb *.tmp *.w PBinlineDB.dic *.taciturn SKK-JISYO.L+ SKK-JISYO.total SKK-JISYO.total+zipcode SKK-JISYO.L.header SKK-JISYO.china_taiwan
 
 archive: zip gzip #bzip2
 
 unannotated: SKK-JISYO.L.unannotated SKK-JISYO.wrong SKK-JISYO.china_taiwan.unannotated
 
 SKK-JISYO.L.unannotated: SKK-JISYO.L
-	$(GAWK) -f ../tools/unannotation.awk SKK-JISYO.L > SKK-JISYO.L.unannotated
+	$(GAWK) -f $(TOOLS_DIR)/unannotation.awk SKK-JISYO.L > SKK-JISYO.L.unannotated
 
 SKK-JISYO.wrong: SKK-JISYO.wrong.annotated
-	$(GAWK) -f ../tools/unannotation.awk SKK-JISYO.wrong.annotated > SKK-JISYO.wrong
+	$(GAWK) -f $(TOOLS_DIR)/unannotation.awk SKK-JISYO.wrong.annotated > SKK-JISYO.wrong
 
 SKK-JISYO.china_taiwan: csv/china_taiwan.csv
-	$(RUBY) ../tools/convert2skk/ctdicconv.rb csv/china_taiwan.csv > SKK-JISYO.tmp
-	$(EXPR) SKK-JISYO.tmp | $(SORT) - > SKK-JISYO.tmp1
-	cat SKK-JISYO.china_taiwan.header SKK-JISYO.tmp1 > SKK-JISYO.china_taiwan
-	$(RM) SKK-JISYO.tmp SKK-JISYO.tmp1
+	$(RUBY) $(TOOLS_DIR)/convert2skk/ctdicconv.rb csv/china_taiwan.csv > SKK-JISYO.tmp
+	$(EXPR) SKK-JISYO.tmp | $(SORT) - > SKK-JISYO.1.tmp
+	cat SKK-JISYO.china_taiwan.header SKK-JISYO.1.tmp > SKK-JISYO.china_taiwan
+	$(RM) SKK-JISYO.tmp SKK-JISYO.1.tmp
 
 SKK-JISYO.china_taiwan.unannotated: SKK-JISYO.china_taiwan csv/china_taiwan.csv
-	$(GAWK) -f ../tools/unannotation.awk SKK-JISYO.china_taiwan > SKK-JISYO.china_taiwan.unannotated
+	$(GAWK) -f $(TOOLS_DIR)/unannotation.awk SKK-JISYO.china_taiwan > SKK-JISYO.china_taiwan.unannotated
 
 wrong_check: SKK-JISYO.wrong
 	for file in $(SRCS) ; do \
@@ -110,20 +111,20 @@
 	$(MD5) zipcode.tar.gz >zipcode.tar.gz.md5
 
 SKK-JISYO.L+: SKK-JISYO.L SKK-JISYO.L.header
-	$(RUBY) ../tools/filters/conjugation.rb -Cpox SKK-JISYO.notes > SKK-JISYO.tmp
-	$(RUBY) ../tools/filters/asayaKe.rb -p SKK-JISYO.L >> SKK-JISYO.tmp
-	$(RUBY) ../tools/filters/complete-numerative.rb -pU SKK-JISYO.L >> SKK-JISYO.tmp
-	$(RUBY) ../tools/filters/abbrev-convert.rb -K -s 2 SKK-JISYO.L >> SKK-JISYO.tmp
-	$(RUBY) ../tools/filters/abbrev-convert.rb -w -s 2 SKK-JISYO.L >> SKK-JISYO.tmp
+	$(RUBY) $(TOOLS_DIR)/filters/conjugation.rb -Cpox SKK-JISYO.notes > SKK-JISYO.tmp
+	$(RUBY) $(TOOLS_DIR)/filters/asayaKe.rb -p SKK-JISYO.L >> SKK-JISYO.tmp
+	$(RUBY) $(TOOLS_DIR)/filters/complete-numerative.rb -pU SKK-JISYO.L >> SKK-JISYO.tmp
+	$(RUBY) $(TOOLS_DIR)/filters/abbrev-convert.rb -K -s 2 SKK-JISYO.L >> SKK-JISYO.tmp
+	$(RUBY) $(TOOLS_DIR)/filters/abbrev-convert.rb -w -s 2 SKK-JISYO.L >> SKK-JISYO.tmp
 	$(EXPR2) SKK-JISYO.L + SKK-JISYO.tmp | cat SKK-JISYO.L.header - > SKK-JISYO.L+
 	$(RM) SKK-JISYO.tmp SKK-JISYO.addition
 
 SKK-JISYO.total: SKK-JISYO.L SKK-JISYO.geo SKK-JISYO.station SKK-JISYO.jinmei SKK-JISYO.propernoun SKK-JISYO.fullname SKK-JISYO.law SKK-JISYO.okinawa SKK-JISYO.hukugougo SKK-JISYO.assoc SKK-JISYO.notes SKK-JISYO.L.header
-	$(RUBY) ../tools/filters/conjugation.rb -Cpox SKK-JISYO.notes > SKK-JISYO.tmp
-	$(RUBY) ../tools/filters/asayaKe.rb -p SKK-JISYO.L >> SKK-JISYO.tmp
-	$(RUBY) ../tools/filters/complete-numerative.rb -pU SKK-JISYO.L >> SKK-JISYO.tmp
-	$(RUBY) ../tools/filters/abbrev-convert.rb -K -s 2 SKK-JISYO.L >> SKK-JISYO.tmp
-	$(RUBY) ../tools/filters/abbrev-convert.rb -w -s 2 SKK-JISYO.L >> SKK-JISYO.tmp
+	$(RUBY) $(TOOLS_DIR)/filters/conjugation.rb -Cpox SKK-JISYO.notes > SKK-JISYO.tmp
+	$(RUBY) $(TOOLS_DIR)/filters/asayaKe.rb -p SKK-JISYO.L >> SKK-JISYO.tmp
+	$(RUBY) $(TOOLS_DIR)/filters/complete-numerative.rb -pU SKK-JISYO.L >> SKK-JISYO.tmp
+	$(RUBY) $(TOOLS_DIR)/filters/abbrev-convert.rb -K -s 2 SKK-JISYO.L >> SKK-JISYO.tmp
+	$(RUBY) $(TOOLS_DIR)/filters/abbrev-convert.rb -w -s 2 SKK-JISYO.L >> SKK-JISYO.tmp
 	# order is very important here
 	$(EXPR2) SKK-JISYO.geo + SKK-JISYO.station + SKK-JISYO.jinmei + SKK-JISYO.propernoun + SKK-JISYO.fullname + SKK-JISYO.tmp + SKK-JISYO.law + SKK-JISYO.okinawa + SKK-JISYO.hukugougo + SKK-JISYO.assoc - SKK-JISYO.L > SKK-JISYO.addition
 	# why eliminating SKK-JISYO.L once? -- to not add too noisy
@@ -135,25 +136,25 @@
 	$(EXPR2) SKK-JISYO.total + $(ZIPDIC_DIR)/SKK-JISYO.zipcode + $(ZIPDIC_DIR)/SKK-JISYO.office.zipcode | cat SKK-JISYO.L.header - > SKK-JISYO.total+zipcode
 
 SKK-JISYO.L.taciturn: SKK-JISYO.L SKK-JISYO.L.header
-	$(RUBY) ../tools/filters/annotation-filter.rb -d SKK-JISYO.L | $(EXPR2) | cat SKK-JISYO.L.header - > SKK-JISYO.L.taciturn
+	$(RUBY) $(TOOLS_DIR)/filters/annotation-filter.rb -d SKK-JISYO.L | $(EXPR2) | cat SKK-JISYO.L.header - > SKK-JISYO.L.taciturn
 
 SKK-JISYO.L+.taciturn: SKK-JISYO.L+ SKK-JISYO.L.header
-	$(RUBY) ../tools/filters/annotation-filter.rb -d SKK-JISYO.L+ | $(EXPR2) | cat SKK-JISYO.L.header - > SKK-JISYO.L+.taciturn
+	$(RUBY) $(TOOLS_DIR)/filters/annotation-filter.rb -d SKK-JISYO.L+ | $(EXPR2) | cat SKK-JISYO.L.header - > SKK-JISYO.L+.taciturn
 
 SKK-JISYO.total.taciturn: SKK-JISYO.total SKK-JISYO.L.header
-	$(RUBY) ../tools/filters/annotation-filter.rb -d SKK-JISYO.total | $(EXPR2) | cat SKK-JISYO.L.header - > SKK-JISYO.total.taciturn
+	$(RUBY) $(TOOLS_DIR)/filters/annotation-filter.rb -d SKK-JISYO.total | $(EXPR2) | cat SKK-JISYO.L.header - > SKK-JISYO.total.taciturn
 
 SKK-JISYO.total+zipcode.taciturn: SKK-JISYO.total+zipcode SKK-JISYO.L.header
-	$(RUBY) ../tools/filters/annotation-filter.rb -d SKK-JISYO.total+zipcode | $(EXPR2) | cat SKK-JISYO.L.header - > SKK-JISYO.total+zipcode.taciturn
+	$(RUBY) $(TOOLS_DIR)/filters/annotation-filter.rb -d SKK-JISYO.total+zipcode | $(EXPR2) | cat SKK-JISYO.L.header - > SKK-JISYO.total+zipcode.taciturn
 
 SKK-JISYO.L+.unannotated: SKK-JISYO.L+
-	$(GAWK) -f ../tools/unannotation.awk SKK-JISYO.L+ > SKK-JISYO.L+.unannotated
+	$(GAWK) -f $(TOOLS_DIR)/unannotation.awk SKK-JISYO.L+ > SKK-JISYO.L+.unannotated
 
 SKK-JISYO.total.unannotated: SKK-JISYO.total
-	$(GAWK) -f ../tools/unannotation.awk SKK-JISYO.total > SKK-JISYO.total.unannotated
+	$(GAWK) -f $(TOOLS_DIR)/unannotation.awk SKK-JISYO.total > SKK-JISYO.total.unannotated
 
 SKK-JISYO.total+zipcode.unannotated: SKK-JISYO.total+zipcode
-	$(GAWK) -f ../tools/unannotation.awk SKK-JISYO.total+zipcode > SKK-JISYO.total+zipcode.unannotated
+	$(GAWK) -f $(TOOLS_DIR)/unannotation.awk SKK-JISYO.total+zipcode > SKK-JISYO.total+zipcode.unannotated
 
 SKK-JISYO.L.header: SKK-JISYO.L
 	echo ';; (This dictionary was automatically generated from SKK dictionaries)' > SKK-JISYO.L.header
