## skkdic 20070529

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 # Makefile: makefile for SKK Dictionaries.
 #
 # Maintainer: SKK Development Team <skk@ring.gr.jp>
-# Version: $Id: Makefile,v 1.40 2006/10/22 13:15:32 skk-cvs Exp $
-# Last Modified: $Date: 2006/10/22 13:15:32 $
+# Version: $Id: Makefile,v 1.41 2007/03/31 07:41:17 skk-cvs Exp $
+# Last Modified: $Date: 2007/03/31 07:41:17 $
 
 BZIP2	  = bzip2 -9
 COUNT	  = skkdic-count
@@ -35,7 +35,7 @@
 		SKK-JISYO.mazegaki SKK-JISYO.assoc SKK-JISYO.itaiji \
 		SKK-JISYO.itaiji.JIS3_4 SKK-JISYO.china_taiwan \
 		SKK-JISYO.propernoun SKK-JISYO.station SKK-JISYO.requested \
-		SKK-JISYO.fullname
+		SKK-JISYO.fullname SKK-JISYO.JIS2004
 # SKK-JISYO.noregist SKK-JISYO.hukugougo
 BIN_SRCS  = #PBinlineDB.pdb
 ALL_SRCS  = $(SRCS) $(BIN_SRCS) SKK-JISYO.wrong SKK-JISYO.L.unannotated
