## skkdic 20100214

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 # Makefile: makefile for SKK Dictionaries.
 #
 # Maintainer: SKK Development Team <skk@ring.gr.jp>
-# Version: $Id: Makefile,v 1.41 2007/03/31 07:41:17 skk-cvs Exp $
-# Last Modified: $Date: 2007/03/31 07:41:17 $
+# Version: $Id: Makefile,v 1.44 2007/09/02 06:42:46 skk-cvs Exp $
+# Last Modified: $Date: 2007/09/02 06:42:46 $
 
 BZIP2	  = bzip2 -9
 COUNT	  = skkdic-count
@@ -45,7 +45,7 @@
 	$(RM) *.gz* *.bz2* *.zip* *~ `find . -name '*~'` `find . -name '.*~'` `find . -name '.#*'` \
 	*.unannotated SKK-JISYO.wrong PBinlineDB.pdb *.tmp *.w PBinlineDB.dic *.taciturn SKK-JISYO.L+ SKK-JISYO.total SKK-JISYO.total+zipcode SKK-JISYO.L.header SKK-JISYO.china_taiwan
 
-archive: zip gzip #bzip2
+archive: gzip #zip bzip2
 
 unannotated: SKK-JISYO.L.unannotated SKK-JISYO.wrong SKK-JISYO.china_taiwan.unannotated
 
@@ -162,7 +162,7 @@
 
 unannotated-all: unannotated SKK-JISYO.L+.unannotated SKK-JISYO.total.unannotated SKK-JISYO.total+zipcode.unannotated
 
-taciturn-all: SKK-JISYO.L+.taciturn SKK-JISYO.L+.taciturn SKK-JISYO.total.taciturn SKK-JISYO.total+zipcode.taciturn
+taciturn-all: SKK-JISYO.L.taciturn SKK-JISYO.L+.taciturn SKK-JISYO.total.taciturn SKK-JISYO.total+zipcode.taciturn
 
 annotated-all: SKK-JISYO.L+ SKK-JISYO.total SKK-JISYO.total+zipcode
