## skkdic 20110529

=== debian/changelog ===
skkdic (20110529-1) unstable; urgency=low

  * New upstream release. (CVS trunk on 2011-05-29, except *edict*)
  * debian/control, debian/rules: Use ruby1.8 instead of ruby to build
    SKK-JISYO.china_taiwan.
  * debian/control:
    - Set the Homepage field to `http://openlab.jp/skk/dic.html'.
    - Update Standards-Version to 3.9.2.
  * debian/copyright: Switch to the DEP-5 format.
  * Switch to the dpkg-source 3.0 (quilt) format.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 29 May 2011 11:14:50 +0900

skkdic (20100214-1) unstable; urgency=low

  * New upstream release. (CVS trunk on 2010-02-14, except *edict*)
  * debian/control:
    - Remove "Noritada Kobayashi" from Maintainer. (closes: #554075)
    - Move "Tatsuya Kinoshita" from Uploaders to Maintainer.
    - Update Standards-Version to 3.8.4.
  * debian/README.source: Renamed from debian/README.Debian-source.
  * debian/copyright: Updated.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 14 Feb 2010 20:41:41 +0900

skkdic (20090627-1) unstable; urgency=low

  * New upstream release. (CVS trunk on 2009-06-27, except *edict*)
  * debian/control:
    - Don't use alternatives in `Enhances:'.
      (closes: #526504, #526506, #526508, #533992)
    - Add `${misc:Depends}' to `Depends:'.
    - Update Standards-Version to 3.8.2.
  * debian/skkdic.postinst, debian/skkdic-extra.postinst: Don't use a
    prepended path for update-skkdic-yaskkserv.
  * debian/copyright: Updated.

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 04 Jul 2009 00:41:02 +0900

skkdic (20071028-2) unstable; urgency=low

  * debian/skkdic.postinst, debian/skkdic-extra.postinst: Run
    update-skkdic-yaskkserv if it exists. (Closes: #464809)
  * debian/control:
    - Move `Homepage:' from Description to the header.
    - Set Standards-Version to 3.7.3.
  * debian/copyright: Updated.

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 31 May 2008 14:10:19 +0900

skkdic (20071028-1) unstable; urgency=low

  * New upstream release. (CVS trunk on 2007-10-28, except *edict*)

 -- Noritada Kobayashi <nori1@dolphin.c.u-tokyo.ac.jp>  Sun, 28 Oct 2007 13:42:05 +0900

skkdic (20071010-1) unstable; urgency=low

  * New upstream release. (CVS trunk on 2007-10-10, except *edict*)
  * debian/copyright: Update copyright information for SKK-JISYO.L.

 -- Noritada Kobayashi <nori1@dolphin.c.u-tokyo.ac.jp>  Wed, 10 Oct 2007 20:47:23 +0900

skkdic (20070930-1) unstable; urgency=low

  * New upstream release. (CVS trunk on 2007-09-30, except *edict*)

 -- Noritada Kobayashi <nori1@dolphin.c.u-tokyo.ac.jp>  Sun, 30 Sep 2007 00:41:53 +0900

skkdic (20070918-1) unstable; urgency=low

  * New upstream release. (CVS trunk on 2007-09-18, except *edict*)

 -- Noritada Kobayashi <nori1@dolphin.c.u-tokyo.ac.jp>  Tue, 18 Sep 2007 01:48:15 +0900

skkdic (20070529-1) unstable; urgency=low

  * New upstream release. (CVS trunk on 2007-05-29, except *edict*)
  * Delete an accidentally added "log" file.

 -- Noritada Kobayashi <nori1@dolphin.c.u-tokyo.ac.jp>  Tue, 29 May 2007 00:09:18 +0900

skkdic (20070411-1) unstable; urgency=low

  * New upstream release. (CVS trunk on 2007-04-11, except *edict*)
    - New dictionary SKK-JISYO.JIS2004.
  * debian/copyright:
    - Bump copyright year to 2007.
    - Add copyright information for SKK-JISYO.JIS2004.
  * debian/rules: Pass the `-k' option to dh_installchangelogs so that
    all of ChangeLog* are installed equally.
  * debian/skkdic{,-cdb,-extra}.docs: Deleted since their settings are
    now moved into debian/rules.
  * debian/skkdic-extra.install: Include SKK-JISYO.JIS2004 to install it.

 -- Noritada Kobayashi <nori1@dolphin.c.u-tokyo.ac.jp>  Thu, 12 Apr 2007 00:57:06 +0900

skkdic (20061130-1) unstable; urgency=low

  * New upstream release. (CVS trunk on 2006-11-30, except *edict*)

 -- Noritada Kobayashi <nori1@dolphin.c.u-tokyo.ac.jp>  Thu, 30 Nov 2006 23:55:08 +0900

skkdic (20061023-1) unstable; urgency=low

  * New upstream release. (CVS trunk on 2006-10-23, except *edict*)
  * debian/control: Add ruby and skktools to Build-Depends-Indep, which are
    necessary to build SKK-JISYO.china_taiwan.
  * debian/rules:
    - Add a new target `get-orig-source' to create a tarball.
    - Enable building SKK-JISYO.china_taiwan.
  * debian/README.Debian-source: New info file explaining how the source
    tarball was repackaged. (Closes: #393100)
  * debian/skkdic-extra.install: Include SKK-JISYO.china_taiwan.
    (Closes: #392882)

 -- Noritada Kobayashi <nori1@dolphin.c.u-tokyo.ac.jp>  Fri, 27 Oct 2006 20:46:00 +0900

skkdic (20061016-1) unstable; urgency=low

  * New upstream release. (CVS trunk on 2006-10-16, except *edict*;
    closes: #392883)
  * debian/rules:
    - Enable cleaning *.tmp files temporarily created by cdb. (Closes: #392881)
    - Enable installing ChangeLog.{1..3}.

 -- Noritada Kobayashi <nori1@dolphin.c.u-tokyo.ac.jp>  Mon, 16 Oct 2006 22:24:19 +0900

skkdic (20060813-2) unstable; urgency=low

  * New maintainer, sponsored by Tatsuya Kinoshita <tats@debian.org>.
  * debian/copyright: Correct name of the upstream maintainer team.
  * debian/rules: Simplify rules by using CDBS in addition to debhelper.
  * debian/control:
    - Improve Enhances as `dbskkd-cdb | skkserv'.
    - Make Description more user-friendly and add a Homepage line to it.
    - Add cdbs to Build-Depends.
    - Make binary packages provide Suggests each other.

 -- Noritada Kobayashi <nori1@dolphin.c.u-tokyo.ac.jp>  Sat, 14 Oct 2006 07:50:44 +0900

skkdic (20060813-1) unstable; urgency=low

  * New upstream release. (CVS trunk on 2006-08-13, except *edict*.)
  * New maintainer, with previous maintainer's consent.
  * debian/skkdic-extra.docs: New file to install READMEs/committers.txt.
  * debian/skkdic-cdb.docs: Ditto.
  * debian/control: Add `Enhances: dbskkd-cdb, skksearch' and
    `Suggests: skktools'.
  * debian/*README.Debian: Suggest skktools instead of skkdic-conf.
  * debian/control: Depend on debhelper version 5.
  * debian/compat: 4 -> 5.

