=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_DH_INSTALLCHANGELOGS_ARGS := -k
DEB_INSTALL_CHANGELOGS_ALL := ChangeLog
DEB_INSTALL_DOCS_ALL := ChangeLog.* READMEs/committers.txt

DEB_MAKE_BUILD_TARGET := SKK-JISYO.china_taiwan TOOLS_DIR=/usr/share/skktools RUBY='ruby1.8 -I /usr/share/skktools/filters'
DEB_MAKE_INSTALL_TARGET :=
DEB_MAKE_CHECK_TARGET :=

build/skkdic-cdb:: SKK-JISYO.L.cdb

%.cdb: %
	sh debian/make-skkdic-cdb $< $@

clean::
	rm -f *.cdb
	rm -f *.tmp # cdb's intermediate products

package := skkdic
date := $(shell date '+%Y%m%d')
orig_source_dir := ${package}-${date}.orig
orig_source_tarball := ${package}_${date}.orig.tar.gz
cvs_repos := :pserver:guest@openlab.jp:/circus/cvsroot
cvs_path := skk/dic

clean-orig-source:
	rm -rf ${orig_source_dir}
	rm -f ${orig_source_tarball}

get-orig-source: clean-orig-source
	@echo "Type 'guest' as CVS password."
	cvs -d ${cvs_repos} login
	cvs -d ${cvs_repos} export -rHEAD -d ${orig_source_dir} ${cvs_path}
	rm -f ${orig_source_dir}/*edict*
	tar c ${orig_source_dir} | gzip -9 > ${orig_source_tarball}
	rm -rf ${orig_source_dir}
