## skkdic 20130505

=== debian/changelog ===
skkdic (20130505-2) unstable; urgency=low

  * Do not depend on ruby1.8
  * Depend on skktools (>= 1.3.2-4~) to build with Ruby 1.9

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 10 Jun 2013 21:31:52 +0900

skkdic (20130505-1) unstable; urgency=low

  * Imported Upstream version 20130505
  * Update debian/copyright
  * Do not install old ChangeLog files
  * Add Vcs-Git and Vcs-Browser
  * Update Standards-Version to 3.9.4

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 08 May 2013 19:38:24 +0900
