=== debian/control ===
--- 
+++ 
@@ -2,9 +2,11 @@
 Section: utils
 Priority: optional
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
-Build-Depends-Indep: tinycdb, ruby1.8, skktools (>= 1.2-3)
+Build-Depends-Indep: tinycdb, ruby | ruby-interpreter, skktools (>= 1.3.2-4~)
 Build-Depends: cdbs, debhelper (>= 5)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
+Vcs-Git: git://anonscm.debian.org/collab-maint/skkdic.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/skkdic.git
 Homepage: http://openlab.jp/skk/dic.html
 
 Package: skkdic
