## skkdic 20131225

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 # Makefile: makefile for SKK Dictionaries.
 #
 # Maintainer: SKK Development Team <skk@ring.gr.jp>
-# Version: $Id: Makefile,v 1.44 2007/09/02 06:42:46 skk-cvs Exp $
-# Last Modified: $Date: 2007/09/02 06:42:46 $
+# Version: $Id: Makefile,v 1.46 2013/07/13 01:30:55 skk-cvs Exp $
+# Last Modified: $Date: 2013/07/13 01:30:55 $
 
 BZIP2	  = bzip2 -9
 COUNT	  = skkdic-count
@@ -40,6 +40,11 @@
 BIN_SRCS  = #PBinlineDB.pdb
 ALL_SRCS  = $(SRCS) $(BIN_SRCS) SKK-JISYO.wrong SKK-JISYO.L.unannotated
 # SKK-JISYO.L+ SKK-JISYO.L.taciturn SKK-JISYO.total
+
+PYTHON    = python
+SKK2CDB   = skk2cdb.py -f
+CDB_SOURCE = ./SKK-JISYO.L
+CDB_TARGET = ./`basename $(CDB_SOURCE)`.cdb
 
 clean:
 	$(RM) *.gz* *.bz2* *.zip* *~ `find . -name '*~'` `find . -name '.*~'` `find . -name '.#*'` \
@@ -168,6 +173,9 @@
 
 all: annotated-all unannotated-all taciturn-all
 
+cdb:
+	$(PYTHON) $(TOOLS_DIR)/$(SKK2CDB) $(CDB_TARGET) $(CDB_SOURCE)
+
 # bzip2: clean $(SRCS)
 # 	for file in $(SRCS); do \
 # 	  $(BZIP2) -fc $$file >$$file.bz2 ;\
