=== debian/changelog ===
skkdic (20131225-1) unstable; urgency=low

  * Imported Upstream version 20131225
  * Update copyright-format version to 1.0
  * Update Standards-Version to 3.9.5
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 04 Jan 2014 13:56:08 +0900
