=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
 Build-Depends-Indep: tinycdb, ruby | ruby-interpreter, skktools (>= 1.3.2-4~)
 Build-Depends: cdbs, debhelper (>= 5)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/collab-maint/skkdic.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/skkdic.git
 Homepage: http://openlab.jp/skk/dic.html
