## skkdic 20140823

=== debian/changelog ===
skkdic (20140823-1) unstable; urgency=medium

  * Imported Upstream version 20140823
  * Drop ruby-interpreter from ruby | ruby-interpreter
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 24 Aug 2014 19:30:26 +0900
