=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
-Build-Depends-Indep: tinycdb, ruby | ruby-interpreter, skktools (>= 1.3.2-4~)
+Build-Depends-Indep: tinycdb, ruby, skktools (>= 1.3.2-4~)
 Build-Depends: cdbs, debhelper (>= 5)
 Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/collab-maint/skkdic.git
