## skkdic 20150422

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 # Makefile: makefile for SKK Dictionaries.
 #
 # Maintainer: SKK Development Team <skk@ring.gr.jp>
-# Version: $Id: Makefile,v 1.46 2013/07/13 01:30:55 skk-cvs Exp $
-# Last Modified: $Date: 2013/07/13 01:30:55 $
+# Version: $Id: Makefile,v 1.47 2015/01/16 07:34:37 skk-cvs Exp $
+# Last Modified: $Date: 2015/01/16 07:34:37 $
 
 BZIP2	  = bzip2 -9
 COUNT	  = skkdic-count
@@ -35,7 +35,7 @@
 		SKK-JISYO.mazegaki SKK-JISYO.assoc SKK-JISYO.itaiji \
 		SKK-JISYO.itaiji.JIS3_4 SKK-JISYO.china_taiwan \
 		SKK-JISYO.propernoun SKK-JISYO.station SKK-JISYO.requested \
-		SKK-JISYO.fullname SKK-JISYO.JIS2004
+		SKK-JISYO.fullname SKK-JISYO.JIS2004 SKK-JISYO.lisp
 # SKK-JISYO.noregist SKK-JISYO.hukugougo
 BIN_SRCS  = #PBinlineDB.pdb
 ALL_SRCS  = $(SRCS) $(BIN_SRCS) SKK-JISYO.wrong SKK-JISYO.L.unannotated
