=== debian/changelog ===
skkdic (20150422-1) unstable; urgency=medium

  * Imported Upstream version 20150422
  * Update debian/copyright
  * Add SKK-JISYO.lisp to skkdic-extra.install
  * Update Vcs-Browser
  * Update Standards-Version to 3.9.6

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 26 Apr 2015 12:17:48 +0900
