## skkdic 20160507

=== debian/changelog ===
skkdic (20160507-1) unstable; urgency=medium

  * Imported Upstream version 20160507
  * Update debian/copyright
  * Update Vcs-Browser to https
  * Update Standards-Version to 3.9.8
  * Add lintian-overrides to prevent warning of SKK-JISYO.lisp

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 04 Jun 2016 19:54:43 +0900
