=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
 Build-Depends-Indep: tinycdb, ruby, skktools (>= 1.3.2-4~)
 Build-Depends: cdbs, debhelper (>= 5)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Git: git://anonscm.debian.org/collab-maint/skkdic.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/skkdic.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/skkdic.git
 Homepage: http://openlab.jp/skk/dic.html
 
 Package: skkdic
