## skkdic 20170107

=== debian/changelog ===
skkdic (20170107-1) unstable; urgency=medium

  * New upstream version 20170107
  * Update debhelper compat version to 9
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 08 Jan 2017 23:38:21 +0900
