=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
 Build-Depends-Indep: tinycdb, ruby, skktools (>= 1.3.2-4~)
-Build-Depends: cdbs, debhelper (>= 5)
+Build-Depends: cdbs, debhelper (>= 9)
 Standards-Version: 3.9.8
 Vcs-Git: git://anonscm.debian.org/collab-maint/skkdic.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/skkdic.git
