## skkdic 20180127

=== debian/changelog ===
skkdic (20180127-1) unstable; urgency=medium

  * New upstream version 20180127
    (CVS trunk on 2018-01-27, except *edict*)
  * Update debhelper compat version to 10
  * Migrate from anonscm.debian.org to salsa.debian.org
  * Add Multi-Arch: foreign
  * Update debian/copyright
  * Update Standards-Version to 4.1.3

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 08 Feb 2018 19:27:34 +0900
