=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
 Build-Depends-Indep: tinycdb, ruby, skktools (>= 1.3.2-4~)
-Build-Depends: cdbs, debhelper (>= 9)
-Standards-Version: 3.9.8
-Vcs-Git: git://anonscm.debian.org/collab-maint/skkdic.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/skkdic.git
+Build-Depends: cdbs, debhelper (>= 10)
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/debian/skkdic
+Vcs-Git: https://salsa.debian.org/debian/skkdic.git
 Homepage: http://openlab.jp/skk/dic.html
 
 Package: skkdic
@@ -15,6 +15,7 @@
 Suggests: skktools, skkdic-cdb, skkdic-extra
 Conflicts: skk (<= 10.39-2)
 Enhances: skkserv
+Multi-Arch: foreign
 Description: standard dictionary file for SKK
  This package provides `SKK-JISYO', the standard dictionary file for SKK
  Japanese input systems.  Currently, this package contains the large size
@@ -35,6 +36,7 @@
 Suggests: skktools, skkdic, skkdic-cdb
 Conflicts: skk (<= 10.39-2)
 Enhances: skkserv
+Multi-Arch: foreign
 Description: extra dictionary files for SKK
  This package provides various dictionary files, such as `SKK-JISYO.zipcode',
  `SKK-JISYO.fullname', `SKK-JISYO.law', `SKK-JISYO.M', `SKK-JISYO.S', and
@@ -51,6 +53,7 @@
 Suggests: skktools, skkdic, skkdic-extra
 Conflicts: dbskkd-cdb (<< 1:1.01-7), dbskkd-cdb-dic
 Enhances: skkserv
+Multi-Arch: foreign
 Description: standard dictionary file for SKK in cdb format for faster access
  This package provides `SKK-JISYO.cdb', the standard dictionary file for
  SKK Japanese input systems, converted to constant database (cdb) for
