=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,9 @@
 
 DEB_DH_INSTALLCHANGELOGS_ARGS := -k
 DEB_INSTALL_CHANGELOGS_ALL := ChangeLog
-DEB_INSTALL_DOCS_ALL := ChangeLog.* READMEs/committers.txt
+DEB_INSTALL_DOCS_ALL := READMEs/committers.txt
 
-DEB_MAKE_BUILD_TARGET := SKK-JISYO.china_taiwan TOOLS_DIR=/usr/share/skktools RUBY='ruby1.8 -I /usr/share/skktools/filters'
+DEB_MAKE_BUILD_TARGET := SKK-JISYO.china_taiwan TOOLS_DIR=/usr/share/skktools RUBY='ruby -I /usr/share/skktools/filters'
 DEB_MAKE_INSTALL_TARGET :=
 DEB_MAKE_CHECK_TARGET :=
