## skkdic 20181229

=== debian/changelog ===
skkdic (20181229-1) unstable; urgency=medium

  * Update get-orig-source to fetch from GitHub
  * New upstream version 20181229
    (Git master branch, except *edict*)
  * Drop debian/patches (merged upstream)
  * Update debian/copyright
  * Update Standards-Version to 4.3.0
  * Update Homepage from openlab.jp to GitHub Pages
  * Adjust committers.txt installation
  * No longer rebuild SKK-JISYO.china_taiwan
  * Adjust zipcode/README.* installation
  * Don't use deprecated DEB_DH_INSTALLCHANGELOGS_ARGS

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 08 Jan 2019 22:30:56 +0900

skkdic (20180127-2) unstable; urgency=medium

  * New patch 010_zipcode.patch
  * Update debian/copyright
  * Update Standards-Version to 4.2.1

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 23 Nov 2018 22:43:24 +0900
