## skkdic 20190217

=== debian/changelog ===
skkdic (20190217-2) unstable; urgency=medium

  * New patch 010_reiwa.patch to add Japan's new era 令和 (Reiwa)
    (closes: #926862, #926863)

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 11 Apr 2019 21:52:37 +0900

skkdic (20190217-1) unstable; urgency=medium

  * New upstream version 20190217
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 18 Feb 2019 21:49:25 +0900
