=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: utils
 Priority: optional
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
-Build-Depends-Indep: tinycdb, ruby, skktools (>= 1.3.2-4~)
+Build-Depends-Indep: tinycdb
 Build-Depends: cdbs, debhelper (>= 10)
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/debian/skkdic
 Vcs-Git: https://salsa.debian.org/debian/skkdic.git
-Homepage: http://openlab.jp/skk/dic.html
+Homepage: https://skk-dev.github.io/dict/
 
 Package: skkdic
 Architecture: all
