=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_INSTALL_CHANGELOGS_ALL := ChangeLog
DEB_INSTALL_DOCS_ALL := committers.txt

build/skkdic-cdb:: SKK-JISYO.L.cdb

%.cdb: %
	sh debian/make-skkdic-cdb $< $@

clean::
	rm -f *.cdb
	rm -f *.tmp # cdb's intermediate products

package := skkdic
date := $(shell date '+%Y%m%d')
orig_source_dir := ${package}-${date}.orig
orig_source_tarball := ${package}_${date}.orig.tar.gz

clean-orig-source:
	rm -rf ${orig_source_dir}
	rm -f ${orig_source_tarball}

get-orig-source: clean-orig-source
	mkdir ${orig_source_dir}
	wget -O - https://github.com/skk-dev/dict/tarball/master | tar zx --exclude='.git*' -C ${orig_source_dir}
	mv ${orig_source_dir}/skk-dev-dict-*/* ${orig_source_dir}
	rmdir ${orig_source_dir}/skk-dev-dict-*
	rm -f ${orig_source_dir}/*edict*
	tar c ${orig_source_dir} | gzip -9 > ${orig_source_tarball}
	rm -rf ${orig_source_dir}
