## skkdic 20200404

=== debian/changelog ===
skkdic (20200404-1) unstable; urgency=medium

  * New upstream version 20200404
  * Add debian/upstream/metadata
  * Add debian/watch with mode=git

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 02 May 2020 12:08:51 +0900

skkdic (20200323-1) unstable; urgency=medium

  * New upstream version 20200323
  * Install SKK-JISYO.edict2, SKK-JISYO.emoji and SKK-JISYO.ivd
  * Install SKK-JISYO.L.utf8, converted from SKK-JISYO.L
  * Install committers.* instead of committers.txt
  * Update Upstream-Contact to skk-dev
  * Update debian/copyright
    - SKK-JISYO.emoji and SKK-JISYO.ivd are under the Unicode License

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 24 Mar 2020 22:14:27 +0900

skkdic (20200308-1) unstable; urgency=medium

  * Don't exclude *edict*
  * New upstream version 20200308
  * Install SKK-JISYO.edict for skkdic-extra
  * Update debian/copyright
    - SKK-JISYO.edict is under CC-BY-SA-3.0
  * Run update-skkdic-yaskkserv when configure in postinst
  * Run update-cmigemo-dict when configure in postinst

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 12 Mar 2020 21:16:32 +0900

skkdic (20200229-1) unstable; urgency=medium

  * New upstream version 20200229 (Git master branch, except *edict*)
  * Drop debian/patches (merged upstream)
  * Add Rules-Requires-Root: no
  * Update debian/copyright
  * Update Standards-Version to 4.5.0

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 06 Mar 2020 23:27:30 +0900
