=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
 Build-Depends-Indep: tinycdb
 Build-Depends: cdbs, debhelper (>= 10)
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian/skkdic
 Vcs-Git: https://salsa.debian.org/debian/skkdic.git
 Homepage: https://skk-dev.github.io/dict/
+Rules-Requires-Root: no
 
 Package: skkdic
 Architecture: all
