=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_INSTALL_CHANGELOGS_ALL := ChangeLog
DEB_INSTALL_DOCS_ALL := committers.*

build/skkdic-cdb:: SKK-JISYO.L.cdb

build/skkdic-extra:: SKK-JISYO.L.utf8

%.cdb: %
	sh debian/make-skkdic-cdb $< $@

%.utf8: %
	iconv -f euc-jisx0213 -t utf-8 $< | LC_ALL=C sed 's/coding: euc-jp/coding: utf-8/' >$@

clean::
	rm -f *.utf8
	rm -f *.cdb
	rm -f *.tmp # cdb's intermediate products

get-orig-source:
	wget -O upstream.tar.gz https://github.com/skk-dev/dict/tarball/master
	mv -f upstream.tar.gz `LC_ALL=C tar ztvf upstream.tar.gz --utc | perl -ne 'if (/ (\d\d\d\d)-(\d\d)-(\d\d) /) {print "skkdic_$$1$$2$$3.orig.tar.gz\n"; exit}'`
